ASRPDirectoryHandler (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.dataAccess.asrp
Class ASRPDirectoryHandler

    java.lang.Object
      com.bbn.openmap.dataAccess.asrp.ASRPDirectoryHandler

    public class ASRPDirectoryHandler

extends java.lang.Object

The ASRPDirectoryHandler is the main object a layer would use when trying to deal with a bunch of ASRP image directories and/or a THF file that refers to many ASRP image directories. This object will make decisions, based on the coverage of the imagery of a certain ASRP directory image and its "scale" (determined by the number of pixels E-W of the projection of the image) what images are suitable for a given EqualArc projection.

Field Summary
`protected java.util.List` | `asrpDirs`

Constructor Summary
`ASRPDirectoryHandler()`

Method Summary
`void` | `add(ASRPDirectory asrpDir)`
`void` | `add(TransmittalHeaderFile thf)`
`void` | `clear()`
`java.util.List` | `getASRPDirs()`
`OMGraphicList` | `getCoverageBounds(Projection proj, DrawingAttributes da)`
`DataBounds` | `getDataBounds()` DataBounds interface method, although this object doesn't implement the complete interface because it doesn't have a name.
`OMGraphicList` | `getImagesForProjection(EqualArc proj)`
`void` | `remove(ASRPDirectory asrpDir)`
`void` | `remove(TransmittalHeaderFile thf)`
`void` | `setASRPDirs(java.util.List list)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### asrpDirs

    protected java.util.List asrpDirs

Constructor Detail

### ASRPDirectoryHandler

    public ASRPDirectoryHandler()

Method Detail

### getCoverageBounds

    public OMGraphicList getCoverageBounds(Projection proj,
                                           DrawingAttributes da)

### getImagesForProjection

    public OMGraphicList getImagesForProjection(EqualArc proj)
                                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### add

    public void add(TransmittalHeaderFile thf)

### add

    public void add(ASRPDirectory asrpDir)

### remove

    public void remove(TransmittalHeaderFile thf)

### remove

    public void remove(ASRPDirectory asrpDir)

### clear

    public void clear()

### getASRPDirs

    public java.util.List getASRPDirs()

### setASRPDirs

    public void setASRPDirs(java.util.List list)

### getDataBounds

    public DataBounds getDataBounds()

  DataBounds interface method, although this object doesn't implement the complete interface because it doesn't have a name.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details